FreePBX | Register | Issues | Wiki | Portal | Support

Problem installing FreePBX 15 on Debian 9.6


#1

Hello,

My server is running on Debian 9.7 i386 and not amd. I can’t find the version of mariadb-connector-odbc_3.0.7-1_amd64.deb for i386 and same thing for mariadb-connector-client-library_3 .0.8-1_amd64.deb.

Any idea?


#2

https://downloads.mariadb.org/connector-odbc/+releases/


#3

Thanks for this very fast answer.

After downloading mariadb-connector-odbc-3.0.8-ga-src.tar.gz how to install it?


#4

Well ,I guess you omitted reading the ‘instructions’ before downloading it.

But you don’t need the source you need the Debian i686 one


#5

I don’t find the debian i686 package on this page.


#6

No package . But under Linux you will find tarballs to suit your hardware.


#7

I change of startegy. I install Debian amd64.

Then no problem to install mariadb-connector-client-library_3.0.8-1_amd64.deb.

But now the problem comes from mariadb-connector-odbc_3.0.7-1_amd64.deb. The error message is :
dpkg: erreur de traitement de l’archive mariadb-connector-odbc_3.0.7-1_amd64.deb (–install) :
tentative de remplacement de « /usr/local/bin/mariadb_config », qui appartient aussi au paquet mariadb-connector-client-library 3.0.8-1
dpkg-deb: erreur: le sous-processus coller a été tué par le signal (Relais brisé (pipe))

And after when I try the command pear install Console_Getopt I got the error message :

No releases available for package “pear.php.net/Console_Getopt

Any help is welcome


#8

That is one reason I chose to go the route I suggested and bypass using deb’s, but use the x86 tarball


#9

Done. But I still have the problem with the pear install command.


(Andrew Nagy) #10

Ignore it. You don’t need it.


#11

Thanks for the answer. I will go on.

Do you know why there is an error for the installation of mariadb-connector-odbc_3.0.7-1_amd64.deb?


(system) closed #12

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.